{
    "$schema": "https://getcomposer.org/schema.json",
    "name": "laravel/livewire-starter-kit",
    "type": "project",
    "description": "The official Laravel starter kit for Livewire.",
    "keywords": [
        "laravel",
        "framework"
    ],
    "license": "MIT",
    "require": {
        "php": "^8.5",
        "bacon/bacon-qr-code": "^3.1",
        "barryvdh/laravel-dompdf": "^3.0",
        "enshrined/svg-sanitize": "^0.22.0",
        "ezyang/htmlpurifier": "^4.19",
        "intervention/image": "^3.11",
        "laravel/framework": "^13.0",
        "laravel/sanctum": "*",
        "laravel/tinker": "^3.0",
        "livewire/livewire": "^4.0",
        "livewire/volt": "^1.10",
        "openspout/openspout": "^4.0",
        "owenvoke/blade-fontawesome": "^3.2",
        "phenx/php-svg-lib": "^1.0",
        "rlanvin/php-rrule": "^2.6",
        "robsontenorio/mary": "^2.8",
        "spatie/laravel-permission": "^7.0"
    },
    "require-dev": {
        "barryvdh/laravel-debugbar": "^4.2",
        "fakerphp/faker": "^1.23",
        "laravel/pail": "^1.2.2",
        "laravel/pint": "^1.18",
        "laravel/sail": "^1.41",
        "mockery/mockery": "^1.6",
        "nunomaduro/collision": "^8.6",
        "pestphp/pest": "^4.0",
        "pestphp/pest-plugin-laravel": "^4.0 || 5.x-dev"
    },
    "autoload": {
        "files": [
            "bootstrap/polyfills.php",
            "app/helpers.php"
        ],
        "psr-4": {
            "App\\": "app/",
            "Database\\Factories\\": "database/factories/",
            "Database\\Seeders\\": "database/seeders/",
            "Modules\\": "Modules/"
        }
    },
    "autoload-dev": {
        "psr-4": {
            "Tests\\": "tests/"
        }
    },
    "scripts": {
        "post-autoload-dump": [
            "Illuminate\\Foundation\\ComposerScripts::postAutoloadDump",
            "@php artisan package:discover --ansi"
        ],
        "post-update-cmd": [
            "@php artisan vendor:publish --tag=laravel-assets --ansi --force"
        ],
        "post-root-package-install": [
            "@php -r \"file_exists('.env') || copy('.env.example', '.env');\""
        ],
        "post-create-project-cmd": [
            "@php artisan key:generate --ansi",
            "@php -r \"file_exists('database/database.sqlite') || touch('database/database.sqlite');\"",
            "@php artisan migrate --graceful --ansi"
        ],
        "dev": [
            "Composer\\Config::disableProcessTimeout",
            "npx concurrently -c \"#93c5fd,#c4b5fd,#fdba74\" \"php artisan serve\" \"php artisan queue:listen --tries=1\" \"pnpm run dev\" --names='server,queue,vite'"
        ]
    },
    "extra": {
        "laravel": {
            "dont-discover": []
        }
    },
    "config": {
        "optimize-autoloader": true,
        "preferred-install": "dist",
        "sort-packages": true,
        "allow-plugins": {
            "pestphp/pest-plugin": true,
            "php-http/discovery": true
        }
    },
    "minimum-stability": "stable",
    "prefer-stable": true
}
